[SVN] r2988 - in trunk/rpms: gabber gnomeicu gtksubtitler perl-Compress-Zlib smart zapping

svn-commits at rpmforge.net svn-commits at rpmforge.net
Thu Mar 10 18:58:09 CET 2005


Author: dag
Date: 2005-03-10 18:58:03 +0100 (Thu, 10 Mar 2005)
New Revision: 2988

Modified:
   trunk/rpms/gabber/gabber-dag.spec
   trunk/rpms/gnomeicu/gnomeicu.spec
   trunk/rpms/gtksubtitler/gtksubtitler.spec
   trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec
   trunk/rpms/smart/smart.spec
   trunk/rpms/zapping/zapping.spec
Log:
Updates

Modified: trunk/rpms/gabber/gabber-dag.spec
===================================================================
--- trunk/rpms/gabber/gabber-dag.spec	2005-03-10 08:01:07 UTC (rev 2987)
+++ trunk/rpms/gabber/gabber-dag.spec	2005-03-10 17:58:03 UTC (rev 2988)
@@ -1,5 +1,5 @@
 # $Id$
-# Authority: freshrpms
+# Authority: matthias
 
 %define rname Gabber
 

Modified: trunk/rpms/gnomeicu/gnomeicu.spec
===================================================================
--- trunk/rpms/gnomeicu/gnomeicu.spec	2005-03-10 08:01:07 UTC (rev 2987)
+++ trunk/rpms/gnomeicu/gnomeicu.spec	2005-03-10 17:58:03 UTC (rev 2988)
@@ -1,5 +1,5 @@
 # $Id$
-# Authority: newrpms
+# Authority: rudolf
 # Upstream: <gnomeicu-support$lists,sourceforge,net>
 
 %{?dist: %{expand: %%define %dist 1}}

Modified: trunk/rpms/gtksubtitler/gtksubtitler.spec
===================================================================
--- trunk/rpms/gtksubtitler/gtksubtitler.spec	2005-03-10 08:01:07 UTC (rev 2987)
+++ trunk/rpms/gtksubtitler/gtksubtitler.spec	2005-03-10 17:58:03 UTC (rev 2988)
@@ -1,7 +1,6 @@
 # $Id$
+# Authority: dag
 
-# DarAuthority: dag
-
 Summary: Tool for editing and converting subtitles for DivX films
 Name: GTKsubtitler
 Version: 0.2.0
@@ -14,7 +13,6 @@
 Source: http://www.gtksubtitler.prv.pl/download/%{name}-%{version}.tar.gz
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
-
 BuildRequires: gtk+-devel, gnome-libs-devel
 
 %description

Modified: trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec
===================================================================
--- trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec	2005-03-10 08:01:07 UTC (rev 2987)
+++ trunk/rpms/perl-Compress-Zlib/perl-Compress-Zlib.spec	2005-03-10 17:58:03 UTC (rev 2988)
@@ -6,10 +6,10 @@
 
 %define real_name Compress-Zlib
 
-Summary: Compress-Zlib module for perl 
+Summary: Compress-Zlib module for perl
 Name: perl-Compress-Zlib
-Version: 1.33
-Release: 0
+Version: 1.34
+Release: 1
 License: distributable
 Group: Applications/CPAN
 URL: http://search.cpan.org/dist/Compress-Zlib/
@@ -24,7 +24,7 @@
 Compress-Zlib module for perl
 
 %prep
-%setup -n %{real_name}-%{version} 
+%setup -n %{real_name}-%{version}
 
 %build
 CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
@@ -38,7 +38,7 @@
 %{__rm} -rf %{buildroot}%{perl_archlib} \
 		%{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist
 
-%clean 
+%clean
 %{__rm} -rf %{buildroot}
 
 %files
@@ -49,6 +49,9 @@
 %{perl_vendorarch}/auto/Compress/
 
 %changelog
+* Thu Mar 10 2005 Dag Wieers <dag at wieers.com> - 1.34-1
+- Updated to release 1.34.
+
 * Thu Mar 18 2004 Dag Wieers <dag at wieers.com> - 1.33-0
 - Updated to release 1.33.
 

Modified: trunk/rpms/smart/smart.spec
===================================================================
--- trunk/rpms/smart/smart.spec	2005-03-10 08:01:07 UTC (rev 2987)
+++ trunk/rpms/smart/smart.spec	2005-03-10 17:58:03 UTC (rev 2988)
@@ -2,8 +2,13 @@
 # Authority: dag
 # Upstream: Gustavo Niemeyer <niemeyer$conectiva,com>
 
+%{?el3:%define _without_gui 1}
+
 # ExclusiveDist: fc3 el4
 
+### Testing for EL3
+##Tag: test
+
 %{?dist: %{expand: %%define %dist 1}}
 %{!?dist: %define fc3 1}
 
@@ -12,10 +17,10 @@
 
 %define desktop_vendor rpmforge
 
-### FIXME: Can't use python_dir because smart install does not seem to obey/follow it, fallback to python_version.
 %define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')
 %define python_sitelib %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib()')
-%define python_version %(%{__python} -c 'import sys; print sys.version[:3]')
+%define python_abi %(%{__python} -c 'import sys; print ".".join(sys.version.split(".")[:2])')
+%define python_version %(%{__python} -c 'import sys; print sys.version.split(" ")[0]')
 
 Summary: Next generation package handling tool
 Name: smart
@@ -30,13 +35,16 @@
 Patch0: smart-0.29.2-x86_64-rpmhelper.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
-BuildRequires: popt, rpm-devel >= 4.2.1, python-devel, pygtk2-devel >= 2.3.94
-BuildRequires: gcc-c++, kdelibs-devel
+BuildRequires: popt, rpm-devel >= 4.2.1, python-devel
+%{!?_without_gui:BuildRequires: gcc-c++, kdelibs-devel, qt-devel, pygtk2-devel >= 2.3.94}
 # *** KDE requires autoconf 2.52, 2.53 or 2.54
 # *** KDE requires automake 1.6.1 or newer
 BuildRequires: autoconf, automake
-Requires: python-abi = %{python_version}
 
+### python-abi is not defined on older dists (eg. EL3)
+#Requires: python-abi = %{python_abi}
+Requires: python = %{python_version}
+
 %description
 Smart Package Manager is a next generation package handling tool.
 
@@ -296,11 +304,13 @@
 %build
 env CFLAGS="%{optflags}" %{__python} setup.py build
 
+%if %{!?_without_gui:1}0
 cd contrib/ksmarttray
 %{__make} -f admin/Makefile.common
 %configure
 %{__make}
 cd -
+%endif
 
 %{__make} -C contrib/smart-update
 
@@ -314,8 +324,9 @@
 %{__rm} -rf %{buildroot}
 
 %{__python} setup.py install --root="%{buildroot}"
-%{__make} install -C contrib/ksmarttray DESTDIR="%{buildroot}"
 
+%{!?_without_gui:%{__make} install -C contrib/ksmarttray DESTDIR="%{buildroot}"}
+
 %ifarch x86_64
 cd contrib/rpmhelper
 %{__python} setup.py install --root="%{buildroot}"
@@ -326,19 +337,21 @@
 
 %{__ln_s} -f consolehelper %{buildroot}%{_bindir}/smart-gui
 
-%{__install} -D -m0755 smart-gui.sh %{buildroot}%{_sbindir}/smart-gui
 %{__install} -D -m0644 distro.py %{buildroot}%{_prefix}/lib/smart/distro.py
+%{__install} -D -m4755 contrib/smart-update/smart-update %{buildroot}%{_bindir}/smart-update
 #%{__install} -D -m0755 %{SOURCE1} %{buildroot}%{python_dir}/smart/plugins/channelsync.py
-%{__install} -D -m4755 contrib/smart-update/smart-update %{buildroot}%{_bindir}/smart-update
-%{__install} -D -m0644 smart-gui.console %{buildroot}%{_sysconfdir}/security/console.apps/smart-gui
-%{__install} -D -m0644 smart-gui.pam %{buildroot}%{_sysconfdir}/pam.d/smart-gui
-%{__install} -D -m0644 smart/interfaces/images/smart.png %{buildroot}%{_datadir}/pixmaps/smart.png
 
 %{__install} -d -m0755 %{buildroot}%{_sysconfdir}/smart/channels/
 %{__cp} -av *.channel %{buildroot}%{_sysconfdir}/smart/channels/
 
 %{__install} -d -m0755 %{buildroot}%{_localstatedir}/lib/smart/
 
+%if %{!?_without_gui:1}0
+%{__install} -D -m0755 smart-gui.sh %{buildroot}%{_sbindir}/smart-gui
+%{__install} -D -m0644 smart-gui.console %{buildroot}%{_sysconfdir}/security/console.apps/smart-gui
+%{__install} -D -m0644 smart-gui.pam %{buildroot}%{_sysconfdir}/pam.d/smart-gui
+%{__install} -D -m0644 smart/interfaces/images/smart.png %{buildroot}%{_datadir}/pixmaps/smart.png
+
 %if %{?_without_freedesktop:1}0
 	%{__install} -D -m0644 smart-gui.desktop %{buildroot}%{_datadir}/gnome/apps/System/smart.desktop
 %else
@@ -348,8 +361,8 @@
 		--add-category X-Red-Hat-Base              \
 		smart-gui.desktop
 %endif
+%endif
 
-
 %clean
 %{__rm} -rf %{buildroot}
 
@@ -363,7 +376,11 @@
 %{python_sitearch}/smart/
 %exclude %{python_sitearch}/smart/interfaces/gtk/
 %{_localstatedir}/lib/smart/
+%ifarch x86_64
+%{python_sitearch}/rpmhelper.so
+%endif
 
+%if %{!?_without_gui:1}0
 %files gui
 %defattr(-, root, root, 0755)
 %{_sysconfdir}/pam.d/smart-gui
@@ -376,20 +393,23 @@
 %{!?_without_freedesktop:%{_datadir}/applications/%{desktop_vendor}-smart-gui.desktop}
 %{?_without_freedesktop:%{_datadir}/gnome/apps/System/smart-gui.desktop}
 %{_datadir}/pixmaps/smart.png
-%ifarch x86_64
-%{python_sitearch}/rpmhelper.so
 %endif
 
 %files update
 %defattr(4755, root, root, 0755)
 %{_bindir}/smart-update
 
+%if %{!?_without_gui:1}0
 %files -n ksmarttray
 %defattr(-, root, root, 0755)
 %{_bindir}/ksmarttray
 %{_datadir}/apps/ksmarttray/
+%endif
 
 %changelog
+* Wed Mar 09 2005 Dag Wieers <dag at wieers.com> - 0.29.2-2
+- Included rpmhelper patch for x86_64 problem. (RHbz 146477)
+
 * Mon Mar 07 2005 Dag Wieers <dag at wieers.com> - 0.29.2-1
 - Updated to release 0.29.2.
 

Modified: trunk/rpms/zapping/zapping.spec
===================================================================
--- trunk/rpms/zapping/zapping.spec	2005-03-10 08:01:07 UTC (rev 2987)
+++ trunk/rpms/zapping/zapping.spec	2005-03-10 17:58:03 UTC (rev 2988)
@@ -23,12 +23,7 @@
 BuildRequires: usermode
 
 %description
-GNOME (GNU Network Object Model Environment) is a user-friendly set of
-applications and desktop tools to be used in conjunction with a window
-manager for the X Window System.  GNOME is similar in purpose and scope
-to CDE and KDE, but GNOME is based completely on free software.
-
-This is a TV viewer for the GNOME desktop. It has all the needed
+Zapping is a TV viewer for the GNOME desktop. It has all the needed
 features, plus extensibility through a plugin system.
 
 




More information about the commits mailing list